futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.CLI.Misc

Description

Various small subcommands that are too simple to deserve their own file.

Synopsis

- mainImports :: String -> [String] -> IO ()
- mainHash :: String -> [String] -> IO ()
- mainDataget :: String -> [String] -> IO ()
- mainCheckSyntax :: String -> [String] -> IO ()
- mainThanks :: String -> [String] -> IO ()
- mainTokens :: String -> [String] -> IO ()

# Documentation

mainImports :: String -> [String] -> IO () Source #

    futhark imports

mainHash :: String -> [String] -> IO () Source #

    futhark hash

mainDataget :: String -> [String] -> IO () Source #

    futhark dataget

mainCheckSyntax :: String -> [String] -> IO () Source #

    futhark check-syntax

mainThanks :: String -> [String] -> IO () Source #

    futhark thanks

mainTokens :: String -> [String] -> IO () Source #

    futhark tokens